Subject: bug#79141: 31.0.50; The tab-bar-format-align-right cache doesn't take face changes and per-frame faces into account

From: Juri Linkov <[email-masked]>
Date: Tue, 12 Aug 2025 20:49:20 +0300

close 79141 31.0.50
quit

> I don't have a clear idea what should the proposed modification hook be
> used for, so I'm not sure whether we need to expose anything to Lisp.
> If you or someone else could describe the proposed use of such a tick,
> I could try providing a more useful advice.

Since no one has an idea how to use such a tick,
I had to revert the last change.

Anyone who needs a (possibly unreliable) caching version, it's easy
to create a copy of the existing 'tab-bar-format-align-right',
add caching to it, and use in 'tab-bar-format'.